#if !defined( __GEMSTART )
#define __GEMSTART

#include <vdi.h>
#include <aes.h>
#include <stdlib.h>
#include <extdef.h>

int contrl[12],
    intin[128],
    intout[128],
    ptsin[128],
    ptsout[128];

int work_in[12],
    work_out[57];

int handle,
    phys_handle;

int gl_hchar,
    gl_wchar,
    gl_hbox,
    gl_wbox;

int gl_apid;

boolean open_vwork(void);
void    close_vwork(void);

boolean open_vwork()
{
   register int i;

   if((gl_apid = appl_init()) != -1)
   {
      for(i = 1; i < 10; work_in[i++] = 0);
      work_in[10] = 2;
      phys_handle = graf_handle(&gl_wchar, &gl_hchar, &gl_wbox, &gl_hbox);
      work_in[0] = handle = phys_handle;
      v_opnvwk(work_in, &handle, work_out);

      return(TRUE);
   }
   else
      return(FALSE);
}

void close_vwork()
{
   v_clsvwk(handle);
   appl_exit();
}

int main(int argc,char **argv,char *envp)
{	int r;

	r=13;
   if(open_vwork() == TRUE)
   {	atexit(close_vwork);
      graf_mouse(0,NULL);
   	r=_CoNt_(argc,argv,envp);
   }
   else
     form_alert(1,"[1][Fehler bei der Programm-|initialisierung !][Abbruch]");

   return r;
}

#define main _CoNt_

#endif

